.dropdown-container {
  cursor: pointer;
  display: inline-block;
  padding: 0px 8px;
  position: relative;

  .eos-icons {
    border-radius: 24px;
    height: 24px;
    padding: 8px;
    text-align: center;
    vertical-align: sub;
    width: 24px;

    &-open {
      background-color: $gray-bg;
    }
  }

  &:hover .dropdown-hover {
    display: block;
  }
}

.dropdown {
  border: 1px solid rgba(0, 0, 0, 0.04);
  box-shadow: 0 16px 24px 2px rgba(0, 0, 0, 0.14);
  max-height: 256px;
  overflow-y: hidden;
  padding: 4px 4px;
  position: absolute;
  top: 100%;
  width: 114px;

  &-left {
    border-radius: 10px 0px 10px 10px;
    right: 16px;
  }

  &-right {
    border-radius: 0px 10px 10px 10px;
    left: 16px;
  }

  &-open {
    background-color: $dropdown-colored-bg;
    color: $dark-color;
    display: block;
    margin-top: 8px;
    width: 200px;
  }

  &-close {
    display: none;
  }
}

.dropdown-list {
  list-style: none;
  margin: 0;
  padding: 0;
}

.dropdown-element {
  padding: 4px 16px;

  .eos-icons {
    padding: 0 8px 0 0;
  }

  &:hover {
    color: $eos-cerulean-900;
    cursor: pointer;
  }
}

.user-dropdown {
  cursor: initial;
  padding: 0px 16px;

  &-name {
    font-weight: bold;
    margin-top: 16px;
  }

  &-email {
    color: $light-gray;
    font-size: $font-size-small;
  }
}

.dropdown-separator {
  opacity: 0.08;
}
